A significant flaw named the “Heartbleed Bug” has been discovered and poses a large security threat to the internet as a whole. The Heartbleed bug is present in the software library OpenSSL which is used by websites to privately send data to and from the web servers.

We have already deployed a patch and we are happy to let you know that all of our servers are secured to protect your websites from Heartbleed vulnerability and we do not see any evidence that this Heartbleed vulnerability affected or compromised our systems, when it was publicly disclosed. Even though there is no indication or any evidence that our servers and customer portal systems are compromised, we strongly encourage you to change your passwords, both on our website as well as any others that you use, as many services have been affected.

You can lean more about the Heartbleed vulnerability at: www.heartbleed.com

If you have any questions or concerns, please contact our support team.

Saturday, April 12, 2014







« Back

Powered by WHMCompleteSolution